.side-menu-component {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  width: 50px;
  @media (min-width: 480px) {
    width: 200px;
  }

  height: 100%;

  .toggle {
    transition: 0.5s;
    font-size: 35px;
    position: absolute;
    left: 0.5rem;
    z-index: 1;
    &:hover {
      cursor: pointer;
    }

    &::after {
      content: "☰";
      color: white;
      width: 35px;
      height: 35px;
    }

    @media (min-width: 480px) {
      font-size: 1.5rem;
      padding-top: 0.5rem;
      &::after {
        content: "Tags";
        color: black;
      }
    }
  }

  .sidebar {
    position: relative;
    top: 0px;
    transition: 0.6s;
    width: 150px;
    left: -200px;
    overflow: hidden;

    padding: 3rem 0.5rem 0.5rem 0.5rem;
    background: white;
    z-index: 0;

    &-wrapper {
      height: 100%;
      overflow-y: auto;
    }

    @media (min-width: 480px) {
      left: 0;
    }
  }
}

#side {
  display: none;
  &:checked {
    & ~ .sidebar {
      @media (max-width: 479px) {
        transform: translateX(200px);
      }
    }

    & ~ .toggle {
      @media (max-width: 479px) {
        &::after {
          content: "←";
          color: black;
        }
      }
    }
  }
}
